# coding: utf-8

from __future__ import unicode_literals

from django.core.management.base import BaseCommand
from django.core.files import File

from optparse import make_option

from jmb.core.admin.import_data import XlsFile

from jmb.l10n.models import Country


class ImportSolution(XlsFile):
    def do(self, row, kw, j):

        obj = Country()
        obj.name = row.NAME
        obj.printable_name = row.NAME.title()
        obj.iso2_code = row.ISO2
        obj.iso3_code = row.ISO3
        obj.continent = row.CONTINENT
        obj.save()


class Command(BaseCommand):
    option_list = BaseCommand.option_list + (
        make_option('-f', '--file', dest='filename', help='Read file in argument', default=None),
    )

    output_transaction = True

    def handle(self, *args, **options):
        filename = options.get('filename')
        if filename is not None:
            file_to_import = File(open(filename, 'r'))
            import_data = ImportSolution(
                file_contents=file_to_import.read(), auto=True)
            import_data.read()
        else:
            print("please indicate file to import with -f <file_name>")
